(function($) {
    "use strict";

    jQuery(document).ready(function($) {

        // -------------------------------------------------------------
        // search bar
        // -------------------------------------------------------------
        $('.search-trigger').on('click', function() {
            $('.search-box').toggleClass('show');
        })

        // -------------------------------------------------------------
        // Welcome slider.
        // -------------------------------------------------------------
        if ($.fn.owlCarousel) {
            $('.welcome-slide').owlCarousel({
                loop: true,
                items: 3,
                autoplay: false,
                nav: true,
                margin: 30,
                navText: ["<i class='zmdi zmdi-long-arrow-left'></i>", "<i class='zmdi zmdi-long-arrow-right'></i>"],
                responsiveClass: true,
                responsive: {
                    0: {
                        items: 1,
                        nav: true
                    },
                    768: {
                        items: 3,
                    },
                    1000: {
                        items: 3
                    }
                }
            });
        }

        // -------------------------------------------------------------
        // client slider.
        // -------------------------------------------------------------
        if ($.fn.owlCarousel) {
            $('.client-slide').owlCarousel({
                loop: true,
                items: 2,
                autoplay: false,
                nav: true,
                margin: 30,
                navText: ["<i class='fa fa-angle-left'></i>", "<i class='fa fa-angle-right'></i>"],
                responsiveClass: true,
                responsive: {
                    0: {
                        items: 1,
                        nav: true
                    },
                    768: {
                        items: 2,
                    }
                }
            });
        }

        // -------------------------------------------------------------
        // logo slider.
        // -------------------------------------------------------------
        if ($.fn.owlCarousel) {
            $('.logo-slide-active').owlCarousel({
                loop: true,
                items: 5,
                autoplay: false,
                nav: false,
                margin: 50,
                responsiveClass: true,
                responsive: {
                    0: {
                        items: 2,
                        margin: 30,
                    },
                    768: {
                        items: 5
                    }
                }
            });
        }


        // -------------------------------------------------------------
        // nice select active
        // -------------------------------------------------------------
        if ($.fn.niceSelect) {
            $('.domain-select, .domain-selects, .support-select, .shared-hosting').niceSelect();
        }



        // -------------------------------------------------------------
        // about Slider active top
        // -------------------------------------------------------------
        if ($.fn.slick) {
            $('.about-us-top-slide').slick({
                centerMode: false,
                // centerPadding: '60px',
                autoplay: false,
                cssEase: 'linear',
                speed: 400,
                slidesToShow: 1,
                prevArrow: false,
                nextArrow: false,
                asNavFor: '.about-us-bottom-slide',



            });
        }


        // -------------------------------------------------------------
        //  about Slider active bottom 
        // -------------------------------------------------------------
        if ($.fn.slick) {
            $('.about-us-bottom-slide').slick({
                centerMode: true,
                centerPadding: '60px',
                autoplay: false,
                cssEase: 'linear',
                speed: 400,
                asNavFor: '.about-us-top-slide',
                slidesToShow: 1,
                prevArrow: '<div class="slick--prev"><i class="fa fa-angle-left"></i></div>',
                nextArrow: '<div class="slick--next"><i class="fa fa-angle-right"></i></div>',

            });
        }


        // -------------------------------------------------------------
        // responsive menu start
        // -------------------------------------------------------------
        if ($.fn.slicknav) {
            $('.mainmenu-area ul#nav').slicknav({
                prependTo: ".responsive_menu",
                label: ""

            })

        }

        // -------------------------------------------------------------
        // responsive menu start
        // -------------------------------------------------------------
        if ($.fn.magnificPopup) {
            $('.btn-video').magnificPopup({
                type: 'video'

            });
        }

        // -------------------------------------------------------------
        // home 2 counter active
        // -------------------------------------------------------------
        if ($.fn.countTo) {
            $('.service-counter-area').on('inview', function(event, visible, visiblePartX, visiblePartY) {
                if (visible) {
                    $(this).find('.counter-active').each(function() {
                        var $this = $(this);
                        $({
                            Counter: 0
                        }).animate({
                            Counter: $this.text()
                        }, {
                            duration: 3000,
                            easing: 'swing',
                            step: function() {
                                $this.text(Math.ceil(this.Counter));
                            }
                        });
                    });
                    $(this).off('inview');
                }
            });
        }

    });


    // -------------------------------------------------------------
    // Window load function
    // -------------------------------------------------------------
    jQuery(window).load(function() {

        /*====  preloader js Start =====*/
        $('#loading').delay(500).fadeOut('slow',function(){$(this).remove();});

        /*====  animation js Start =====*/
        new WOW().init();





    });

}(jQuery));